#!perl -T

use strict;
use warnings;
use utf8;

use Test::More tests => 4;

use List::Breakdown 'breakdown';

our $VERSION = '0.13';

my @t = 1 .. 3;
is( eval { breakdown { a => undef }, @t } || undef,
    undef, 'error_notref_undef' );
is( eval { breakdown { a => 'a' }, @t } || undef, undef, 'error_notref_def' );
is( eval { breakdown { a => [] },  @t } || undef, undef, 'error_badref_array' );
is( eval { breakdown { a => \{} }, @t } || undef, undef,
    'error_badref_double' );
